//importing required packages to visualize the map
import {geoNaturalEarth1, geoPath} from 'd3';

const projection = geoNaturalEarth1().scale(5000).translate([600,4890]);
const path = geoPath(projection);
//Defining a function to mark the regions of the england map
export const Marks = ({ data: {regions, interiors} }) => (
  <g className="marks">
    {regions.features.map(feature => (
      <path className="regions" d={path(feature)} />
    ))}
      <path className="interiors" d={path(interiors)} />
  </g>
);