//importing required packages
import React from 'react';
import ReactDOM from 'react-dom';
import { useData } from './useData';
import { Marks } from './Marks';

const width = 960;
const height = 500;
//Defining a function to load the data
const App = () => {
  const data = useData();

  if (!data) {
    return <pre>Loading...</pre>;
  }
  
  return (
    <svg width={width} height={height}>
        <Marks
          data={data}
        /> 
    </svg>
  );
};
//Initializing the variable to get the root element
const rootElement = document.getElementById(
  'root'
);
ReactDOM.render(<App />, rootElement);